For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet staking configuration
        • GETList account staking history
        • GETGet account staking summary
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceStaking

Get staking configuration

GET
https://api.prod.paradex.trade/v1/staking/config
GET
/v1/staking/config
$curl https://api.prod.paradex.trade/v1/staking/config \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "dime_fee_discount_pct": "string",
3 "tiers": [
4 {
5 "fee_rates": {},
6 "min_staked": "50000",
7 "tier_name": "Silver",
8 "xp_multiplier": "1.3"
9 }
10 ]
11}
Returns staking tiers with minimum stake amounts, fee rates, and XP multipliers
Was this page helpful?
Previous

List account staking history

Next
Built with

Response

OK
dime_fee_discount_pctstring

DIME fee payment discount percentage (e.g. “20”)

tierslist of objects
All available staking tiers sorted by threshold